<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div class="pwd-container">
        <div class="row">
            <div class="col-md-3">
                <div class="input-group">
                    <input type="password" class="form-control" nash-th:name="*{path.fullPath}" th:attr="data-parsley-required=${data.mandatory}? true" />
                    <span class="input-group-btn">
                        <button class="btn btn-default" type="button">
                            <i class="fa fa-eye"></i>
                        </button>
                    </span>
                </div>
            </div>
            <div class="col-md-2">
                <div class="pwstrength_viewport_progress"></div>
            </div>
        </div>
        <div class="row errors"></div>
        <input type="hidden" class="form-control" nash-th:name="*{path.fullPath} + '.hasErrors'" />
    </div>
    <div class="row">
        <div class="col-md-3">
            <input type="password" class="form-control" nash-th:name="*{path.fullPath} + '.check'" th:attr="data-parsley-required=${data.mandatory}? true" />
        </div>
    </div>
</div>
